Skip to main content
GET
/
v1
/
available-actions
/
{platform}
curl 'https://api.picaos.com/v1/available-actions/exa' \
  -H 'x-pica-secret: YOUR_API_KEY'
{
    "rows": [
        {
            "title": "Get Contents",
            "key": "getContents",
            "modelName": "Content",
            "method": "POST",
            "platform": "exa"
        },
        {
            "title": "Search",
            "key": "search",
            "modelName": "Search",
            "method": "POST",
            "platform": "exa"
        },
        {
            "title": "Find Similar Links",
            "key": "findSimilarLinks",
            "modelName": "Findsimilar",
            "method": "POST",
            "platform": "exa"
        },
        {
            "title": "Get LLM Answer",
            "key": "getLlmAnswer",
            "modelName": "Answer",
            "method": "POST",
            "platform": "exa"
        }
    ],
    "total": 4,
    "pages": 1,
    "page": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.picaos.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

platform
string
required
The connector platform

Query Parameters

title
string
The action title
key
string
The action key
method
string
The action method
limit
number
default:"20"
The number of actions to return
page
number
default:"1"
The page number

Response

rows
Action[]
Array of Action objects
total
number
Total number of actions available
pages
number
Total number of pages available
page
number
Current page number
curl 'https://api.picaos.com/v1/available-actions/exa' \
  -H 'x-pica-secret: YOUR_API_KEY'
{
    "rows": [
        {
            "title": "Get Contents",
            "key": "getContents",
            "modelName": "Content",
            "method": "POST",
            "platform": "exa"
        },
        {
            "title": "Search",
            "key": "search",
            "modelName": "Search",
            "method": "POST",
            "platform": "exa"
        },
        {
            "title": "Find Similar Links",
            "key": "findSimilarLinks",
            "modelName": "Findsimilar",
            "method": "POST",
            "platform": "exa"
        },
        {
            "title": "Get LLM Answer",
            "key": "getLlmAnswer",
            "modelName": "Answer",
            "method": "POST",
            "platform": "exa"
        }
    ],
    "total": 4,
    "pages": 1,
    "page": 1
}